<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>

    <groupId>net.flexengine.holons</groupId>
    <artifactId>Holons</artifactId>
    <version>1.0.0</version>

    <properties>
        <maven.compiler.target>17</maven.compiler.target>
        <maven.compiler.source>17</maven.compiler.source>
        <maven.compiler.release>17</maven.compiler.release>
        <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
        <initJoysticks>true</initJoysticks>
    </properties>

    <dependencies>

        <dependency>
            <groupId>net.flexengine</groupId>
            <artifactId>FlexEngineMultiCore</artifactId>
            <version>1.0.0</version>
        </dependency>

    </dependencies>

    <build>
        <finalName>${project.artifactId}</finalName>

        <resources>
            <resource>
                <directory>src/main/resources</directory>
                <filtering>true</filtering>
            </resource>
        </resources>

        <plugins>
            <plugin>
                <groupId>de.ntcomputer</groupId>
                <artifactId>executable-packer-maven-plugin</artifactId>
                <version>1.0.1</version>
                <configuration>
                    <mainClass>net.flexengine.holons.Holons</mainClass>
                </configuration>
                <executions>
                    <execution>
                        <goals>
                            <goal>pack-executable-jar</goal>
                        </goals>
                    </execution>
                </executions>
            </plugin>
        </plugins>

    </build>

</project>